JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const tag = await client.tags.create({ name: 'API Documentation' });
console.log(tag.data);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
tag = client.tags.create(
name="API Documentation",
)
print(tag.data)curl --request POST \
--url https://api.avidoai.com/v0/tags \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"name": "API Documentation",
"color": "#3B82F6",
"description": "Tag for API-related documentation"
}
'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "API Documentation",
"color": "#3B82F6",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org_123456789",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"status": "ACTIVE",
"description": "Tag for API-related documentation"
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Tags
Create a new tag
Creates a new tag with the provided information.
POST
/
v0
/
tags
JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const tag = await client.tags.create({ name: 'API Documentation' });
console.log(tag.data);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
tag = client.tags.create(
name="API Documentation",
)
print(tag.data)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
application/json
Request body for creating a new tag
Response
Tag created successfully
Successful response containing the tag data
A tag that can be applied to documents for organization
Show child attributes
Show child attributes
⌘I